/*****************************************************************

     ██████╗ ███████╗███╗   ██╗███████╗██████╗  █████╗ ██╗
    ██╔════╝ ██╔════╝████╗  ██║██╔════╝██╔══██╗██╔══██╗██║
    ██║  ███╗█████╗  ██╔██╗ ██║█████╗  ██████╔╝███████║██║
    ██║   ██║██╔══╝  ██║╚██╗██║██╔══╝  ██╔══██╗██╔══██║██║
    ╚██████╔╝███████╗██║ ╚████║███████╗██║  ██║██║  ██║███████╗
     ╚═════╝ ╚══════╝╚═╝  ╚═══╝╚══════╝╚═╝  ╚═╝╚═╝  ╚═╝╚══════╝

 ******************************************************************/



    input, 
    textarea,
    select {
        border-radius: 0;
        font-family: var(--font-sans-serif-bold);
        letter-spacing: 0.2rem;
        border: 0.3rem solid var(--color-black);
    }

    button, 
    .button {
        border-radius: 6rem;
        font-family: var(--font-sans-serif-bold);
        letter-spacing: 0.2rem;
    }

    input:focus, 
    textarea:focus,
    select:focus {
        box-shadow: 0 0 1rem -0.3rem currentColor;
    }

    ::placeholder {
        color: var(--color-black);
    }

/**************************************************************************************************************

     ██████╗ ██████╗  █████╗ ██╗   ██╗██╗████████╗██╗   ██╗    ███████╗ ██████╗ ██████╗ ███╗   ███╗███████╗
    ██╔════╝ ██╔══██╗██╔══██╗██║   ██║██║╚══██╔══╝╚██╗ ██╔╝    ██╔════╝██╔═══██╗██╔══██╗████╗ ████║██╔════╝
    ██║  ███╗██████╔╝███████║██║   ██║██║   ██║    ╚████╔╝     █████╗  ██║   ██║██████╔╝██╔████╔██║███████╗
    ██║   ██║██╔══██╗██╔══██║╚██╗ ██╔╝██║   ██║     ╚██╔╝      ██╔══╝  ██║   ██║██╔══██╗██║╚██╔╝██║╚════██║
    ╚██████╔╝██║  ██║██║  ██║ ╚████╔╝ ██║   ██║      ██║       ██║     ╚██████╔╝██║  ██║██║ ╚═╝ ██║███████║
     ╚═════╝ ╚═╝  ╚═╝╚═╝  ╚═╝  ╚═══╝  ╚═╝   ╚═╝      ╚═╝       ╚═╝      ╚═════╝ ╚═╝  ╚═╝╚═╝     ╚═╝╚══════╝

 **************************************************************************************************************/



    /* General Gravity Forms stylings. */

    .gform_wrapper [class*="column"] {
        padding-left: calc( 0.5 *var(--grid-gutter) ) !important;
        padding-right: calc( 0.5 *var(--grid-gutter) ) !important;
    }

        .gform_body {
            clear: both;
        }

        .gform_footer {
            clear: both;
        }

        .gform_wrapper .row .gform_footer {
            padding-right: var(--grid-gutter) !important;
            padding-left: var(--grid-gutter) !important;
        }

        .gform_wrapper .textarea,
        .gform_wrapper .textarea.small {
            height: 15em;
        }

        .gform_wrapper .textarea.medium {
            height: 25em;
        }

        .gform_wrapper .textarea.large {
            height: 30em;
        }

    /* Form error message. */

    .gform_wrapper .validation_error {
        padding: 1em;
        font-size: unset;
        border-radius: 0;
        color: var(--color-white);
        background: rgba(var(--red), 0.5);
        transform: translate3d(0, 0, 0);
    }

    .gform_wrapper .row .validation_error {
        margin-left: var(--grid-gutter);
        margin-right: var(--grid-gutter);
    }

        .gform_wrapper .validation_error::before {
            display: inline-block;
            font-family: var(--font-icons);
            content: '\e80e';
            margin-right: 1em;
        }

    /* Form error fields. */

    .gform_wrapper .validation_message {
        background: rgba(var(--blue), 0.2);
        padding: 0.1em 0.5em;
        border-radius: 0;
        transform: translate3d(0, 0, 0);
    }

        .gfield_error input,
        .gfield_error textarea,
        .gfield_error select {
            background: rgba(var(--gray-light-x), 0.3);
        }

    /* Form submit waiting loader. */

    .gform_ajax_spinner {
        background: white;
        width: 2.5rem !important;
        height: 2.5rem !important;
    }

    /* Form success confirmation message. */

    .gform_confirmation_message {
        padding: 2em;
        font-size: unset;
        border-radius: 0;
        color: var(--color-white);
        background: rgba(var(--green), 0.7);
    }

        .gform_confirmation_message::before {
            display: inline-block;
            font-family: var(--font-icons);
            content: '\e834';
            margin-right: 1em;
        }

    .row .gform_confirmation_message {
        margin-left: var(--grid-gutter);
        margin-right: var(--grid-gutter);
    }

        .newsletter-form .gfield_label {
            display: none;
        }

            .newsletter-form input {
                border-radius: 0;
            }

            .newsletter-form :placeholder-shown {
                background: var(--color-gray-x);
                color: var(--color-black);
            }
            
            .newsletter-form li {
                font-family: var(--font-sans-serif-normal);
            }
            
            .newsletter-form input {
                font-family: var(--font-serif-normal);
            }

            .newsletter-form .gform_button {
                background: var(--color-red);
                color: var(--color-black);
                font-size: 1.4rem;
                font-family: var(--font-sans-serif-bold);
            }

            .newsletter-form .gform_footer input {
                border-radius: 6rem;
                box-shadow: none;
                text-transform: uppercase;
                color: var(--color-white);
                padding: 0 4.5rem;
            }

            .contact-form .gform_footer {
                text-align: center;
                padding-top: 2rem;
            }
